.TH "brlapi_info" 3 "Fri Feb 22 2019" "Version 0.7" "BrlAPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
brlapi_info \- How to get information about the connected Terminal\&.  

.SH SYNOPSIS
.br
.PP
.SS "Macros"

.in +1c
.ti -1c
.RI "#define \fBBRLAPI_MAXNAMELENGTH\fP   31"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi_getDriverName\fP (char *buffer, size_t size)"
.br
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi__getDriverName\fP (\fBbrlapi_handle_t\fP *handle, char *buffer, size_t size)"
.br
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi_getModelIdentifier\fP (char *buffer, size_t size)"
.br
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi__getModelIdentifier\fP (\fBbrlapi_handle_t\fP *handle, char *buffer, size_t size)"
.br
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi_getDisplaySize\fP (unsigned int *x, unsigned int *y)"
.br
.ti -1c
.RI "int \fBBRLAPI_STDCALL\fP \fBbrlapi__getDisplaySize\fP (\fBbrlapi_handle_t\fP *handle, unsigned int *x, unsigned int *y)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Before using Raw mode or key codes, the application should always check the type of the connected terminal, to be sure it is really the one it expects\&.
.PP
One should also check for display size, so as to adjust further displaying on it\&. 
.SH "Macro Definition Documentation"
.PP 
.SS "#define BRLAPI_MAXNAMELENGTH   31"
Maximum name length for names embeded in BrlAPI packets, not counting any termination \\0 character 
.SH "Function Documentation"
.PP 
.SS "int \fBBRLAPI_STDCALL\fP brlapi__getDisplaySize (\fBbrlapi_handle_t\fP * handle, unsigned int * x, unsigned int * y)"

.SS "int \fBBRLAPI_STDCALL\fP brlapi__getDriverName (\fBbrlapi_handle_t\fP * handle, char * buffer, size_t size)"

.SS "int \fBBRLAPI_STDCALL\fP brlapi__getModelIdentifier (\fBbrlapi_handle_t\fP * handle, char * buffer, size_t size)"

.SS "int \fBBRLAPI_STDCALL\fP brlapi_getDisplaySize (unsigned int * x, unsigned int * y)"
Return the size of the braille display 
.SS "int \fBBRLAPI_STDCALL\fP brlapi_getDriverName (char * buffer, size_t size)"
Return the complete name of the driver used by \fIbrltty\fP 
.PP
This function fills its argument with the whole name of the braille driver if available, terminated with a '\\0'\&.
.PP
\fBParameters:\fP
.RS 4
\fIbuffer\fP is the buffer provided by the application; 
.br
\fIsize\fP is the maximum size for the name buffer\&.
.RE
.PP
\fBReturns:\fP
.RS 4
-1 on error, or a positive value giving the size of the needed buffer, if the supplied one is too small (same as snprintf())\&. 
.RE
.PP

.SS "int \fBBRLAPI_STDCALL\fP brlapi_getModelIdentifier (char * buffer, size_t size)"
Return an identifier for the device model used by \fIbrltty\fP 
.PP
This function fills its argument with the whole identifier of the braille device model if available, terminated with a '\\0'\&.
.PP
\fBParameters:\fP
.RS 4
\fIbuffer\fP is the buffer given by the application; 
.br
\fIsize\fP is the maximum size for the identifier buffer\&.
.RE
.PP
\fBReturns:\fP
.RS 4
-1 on error, or a positive value giving the size of the needed buffer, if the supplied one is too small (same as snprintf())\&. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for BrlAPI from the source code\&.
